Get custom attribute definition by id

GET
/v1/custom-attributes/{customAttributeId}

Get custom attribute in an organization by id.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

customAttributeId*string

Response Body

The configured custom attribute

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/custom-attributes/{customAttributeId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "db5f673b-1c40-41e7-b71f-caab342f0607",
"entityType": "Conversation",
"identifier": "contact_reason",
"label": "Contact Reason",
"inputDefinition": {
"options": [
{
"id": "5e2be744-cc2b-4bda-8c76-feb7b28f2970",
"label": "Payment",
"value": "payment",
"nestedOptions": [
{
"id": "666de4d5-0c6e-421c-a25e-d53073070af4",
"label": "Card",
"value": "card",
"nestedOptions": [],
"isDeactivated": false,
"orderIndex": 2
},
{
"id": "db26964a-5a88-4689-ad34-8a5f21cd9cd6",
"label": "Bank Transfer",
"value": "bank_transfer",
"nestedOptions": [],
"isDeactivated": false,
"orderIndex": 3
}
],
"isDeactivated": false,
"orderIndex": 1
},
{
"id": "05d43b25-32a4-49e2-97c0-8723dc73f7bb",
"label": "Access",
"value": "access",
"nestedOptions": [],
"isDeactivated": false,
"orderIndex": 4
}
],
"_type": "Select"
},
"description": "Reason for contacting",
"createdAt": "2023-01-05T06:42:31.532Z[GMT]",
"isRequired": true,
"isArchived": false,
"isDeactivated": false
}
}